package io.renren.modules.app.service;

import java.util.List;

import com.baomidou.mybatisplus.service.IService;
import com.github.pagehelper.PageInfo;
import io.renren.modules.app.entity.CbwdEntity;
import io.renren.modules.app.entity.XlkEntity;

/**
 * 承办网点信息
 *
 * @author ly
 * @email 1271428398@qq.com
 * @date 2019-03-22 16:36:52
 */
public interface CbwdService extends IService<CbwdEntity> {

	/**
	 * 分页模糊查询
	 * 
	 * @param pageNum
	 * @param pageSize
	 * @param cbwdEntity
	 * @return
	 */
	PageInfo<CbwdEntity> queryByPage(Integer pageNum, Integer pageSize, CbwdEntity cbwdEntity);
	
	String querycbwdbm();

	/**
	 * 单个或批量删除
	 * 
	 * @param ids
	 */
	void deleteBatch(String[] ids);

	// 银行编码下拉框
	List<XlkEntity> selectYhxx();
}
